#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.1
visibility:           public
id:                   taffybar-4.0.1-J7yOsqWOuXY8KZiKaCwYEe
key:                  taffybar-4.0.1-J7yOsqWOuXY8KZiKaCwYEe
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  6d58f230a7729eef5dc50ef2d13649cc
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.1-J7yOsqWOuXY8KZiKaCwYEe
extra-libraries:
    gtk-3 gdk-3 z harfbuzz pangocairo-1.0 pango-1.0 atk-1.0 cairo
    cairo-gobject gdk_pixbuf-2.0 gio-2.0 glib-2.0 gobject-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/atk-1.0
    /usr/include/freetype2 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/harfbuzz
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6
    /usr/include/libpng16 /usr/include/pixman-1
    /usr/include/cloudproviders /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi
    /usr/include/gio-unix-2.0

depends:
    ConfigFile-1.1.4-3pSQe0WHN4XEpL16mUILgJ
    HStringTemplate-0.8.8-2Ls4X4ogRQ08pGyEgqBjIo
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-7dcOSp8IaGA80HTLJplaly
    ansi-terminal-0.11.4-EPVjDSBhsFM2RMZf92XUfK base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.5-7HTJtmVIE4Y21ZXeJcla8K containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB
    dbus-1.3.1-5tMr9RWyLGdBj95WkAboAH
    dbus-hslogger-0.1.0.1-26RDeJDggDL8zsgPPQ9G5j directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-7A05EDM3r7RIPHWESmQsLr
    enclosed-exceptions-1.0.3-KvUwZMW4Od2GJR1HPhmYFw filepath-1.4.2.2
    gi-cairo-1.0.29-333xEPvkDm71J8t45cewR8
    gi-cairo-connector-0.1.1-LDfqsnXRUmW8Mj6TtXYL3J
    gi-cairo-render-0.1.2-3Y3Jjw7uFBw5UN6EIyaFhC
    gi-gdk-3.0.25-DDDp5DtGrbke020Hrr0ol
    gi-gdkpixbuf-2.0.31-1d4XZQiWnuQ7dj8FkrRwmx
    gi-gdkx11-3.0.12-H34GzerYVi99W7qf0cIQ00
    gi-glib-2.0.29-9AZ2ObifnU4IU4bqyKQzkE
    gi-gtk-3.0.38-3rFNt1Dh1GsJ0E7Un9ubqc
    gi-gtk-hs-0.3.16-JStU78uysBrLrEaMIz7Cpg
    gi-pango-1.0.29-9YcltzxtQVVApHIODqDSOo
    gtk-sni-tray-0.1.8.1-EwBYZEg7dcpC6jFhJrku1s
    gtk-strut-0.1.3.2-JDAlySknTh1BPLw8l9tQzi
    haskell-gi-0.26.4-7iu1jU4nA0VFGulMPblMK5
    haskell-gi-base-0.26.4-BFXyyduHPGW6bU8MlEazkc
    hslogger-1.3.1.0-GvoQmZVucEbE0naRgkwDk2
    http-client-0.7.15-EytM7GAQDw9GyLi06Ga86Q
    http-client-tls-0.3.6.3-LdvZCscuwjf3eRWxqPFIkK
    http-conduit-2.3.8.3-BlWhHbVfteg9WJ5oNEMaQI
    http-types-0.12.3-5IXA4G35MTjEIDedTW2NzQ
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7 parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy
    safe-0.3.21-I6NDQ6oHJyuFOqOiMMdAEz
    scotty-0.21-QddMPdtxYO8CdNMRtwjbO
    split-0.2.5-4nalIMiBmQhB7dn9GiXUZZ
    status-notifier-item-0.3.1.0-LsIbDb7kSya4S5OKnFwS0J stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    transformers-base-0.4.6-9OMjMe2Vj0DBq9sQ0P5ye6
    tuple-0.3.0.2-ABfXxHrXvChLhVzjQQBCxL unix-2.7.2.2
    utf8-string-1.0.2-CndrelvclEbJyymwdX0DqC
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.1-6YPE14Gu2dV3IzUDshE633
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-Glcvsqrf3305rFXMN1RSgn

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

